'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Native = function Native(_ref) {
  var _ref$state = _ref.state,
      item = _ref$state.item,
      itemType = _ref$state.itemType;
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      'p',
      null,
      'This is a default plugin that handles native drag events of type',
      ' ',
      _react2.default.createElement(
        'code',
        null,
        itemType
      ),
      '.',
      _react2.default.createElement('br', null),
      'It contained the following payload:'
    ),
    _react2.default.createElement(
      'pre',
      null,
      JSON.stringify(item, null, 2)
    )
  );
};

/**
 *
 * @param hover the item which the native element was dropped on
 * @param monitor the DropTargetMonitor as provided by react-dnd
 * @param component the React component of the item which the native element was dropped on
 */
/*
 * This file is part of ORY Editor.
 *
 * ORY Editor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * ORY Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *  
 * You should have received a copy of the GNU Lesser General Public License
 * along with ORY Editor.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @license LGPL-3.0
 * @copyright 2016-2018 Aeneas Rekkas
 * @author Aeneas Rekkas <aeneas+oss@aeneas.io>
 *
 */

exports.default = function (hover, monitor, component) {
  return {
    Component: Native,
    name: 'ory/editor/core/content/default-native',
    version: '0.0.1',
    createInitialState: function createInitialState() {
      return {
        item: monitor.getItem(),
        itemType: monitor.getItemType()
      };
    }

    // Set type to layout to create a layout cell instead of a content cell
    // type: 'layout'
  };
};
//# sourceMappingURL=index.js.map